# static_if_simple< b, T, U > Struct Template Reference
[Miscellaneous constructs used by Vaucanson]

Choose between two types or values depending on a constant Boolean. More...

List of all members.

## Detailed Description

### template<bool b, typename T, typename U>
struct vcsn::misc::static_if_simple< b, T, U >

Choose between two types or values depending on a constant Boolean.

The classical static_if cannot choose between a type T and void because of its choose () methods which take references. This one is much simpler and require no conditions on types. However, it has no choose method.

Author:
  Thomas Claveirole <thomas.claveirole@lrde.epita.fr>

See also:
  static_if

Definition at line 165 of file static.hh.